// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /baseParameter */
export async function update2(body: API.BaseParameterUpdateVO, options?: { [key: string]: any }) {
  return request<API.RBaseParameter>(`/base/baseParameter`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /baseParameter */
export async function save2(body: API.BaseParameterSaveVO, options?: { [key: string]: any }) {
  return request<API.RBaseParameter>(`/base/baseParameter`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /baseParameter */
export async function delete3(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/base/baseParameter`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /baseParameter/${param0} */
export async function get3(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get3Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RBaseParameterResultVO>(`/base/baseParameter/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /baseParameter/copy */
export async function copy2(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy2Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseParameter>(`/base/baseParameter/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /baseParameter/detail */
export async function getDetail3(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail3Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseParameterResultVO>(`/base/baseParameter/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /baseParameter/findByIds */
export async function findByIds3(body: number[], options?: { [key: string]: any }) {
  return request<API.RListBaseParameterResultVO>(`/base/baseParameter/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /baseParameter/page */
export async function page3(
  body: API.PageParamsBaseParameterPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageBaseParameterResultVO>(`/base/baseParameter/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /baseParameter/query */
export async function query3(body: API.BaseParameterPageQuery, options?: { [key: string]: any }) {
  return request<API.RListBaseParameterResultVO>(`/base/baseParameter/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
